org.apache.fop.render.ps.extensions

## Class PSExtensionHandlerFactory

- java.lang.Object
- - org.apache.fop.render.ps.extensions.PSExtensionHandlerFactory

All Implemented Interfaces:
  ContentHandlerFactory

    public class PSExtensionHandlerFactory
    extends Object
    implements ContentHandlerFactory

Factory for the ContentHandler that handles serialized PSSetupCode instances.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.fop.util.ContentHandlerFactory

`ContentHandlerFactory.ObjectBuiltListener, ContentHandlerFactory.ObjectSource`

### Constructor Summary

Constructors
Constructor and Description
`PSExtensionHandlerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContentHandler` `createContentHandler()`
`String[]` `getSupportedNamespaces()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PSExtensionHandlerFactory

    public PSExtensionHandlerFactory()

### Method Detail

#### getSupportedNamespaces

    public String[] getSupportedNamespaces()

Specified by:
  `getSupportedNamespaces` in interface `ContentHandlerFactory`
Returns:
  an array of supported namespaces.

#### createContentHandler

    public ContentHandler createContentHandler()

Specified by:
  `createContentHandler` in interface `ContentHandlerFactory`
Returns:
  a new ContentHandler to handle a SAX stream